Skip to main content

Get NFT Transfers By Creators


Query Template

Filtering Options

Parameter

Type

Description

where

object

Object to filter results by specified conditions.

limit

integer

Maximum number of results to return.

offset

integer

Starting position for the results.

order_by

object

Object specifying sort order. You can sort by multiple fields.

Query Fields

Parameter

Type

Description

current_token_data

object

Current token data

current_collection

object

Current collection info

collection_id

string

Collection ID

collection_name

string

Collection name

creator_address

string

Collection creator address

token_name

string

Token name

event_account_address

string

Event account address

event_index

integer

Event index

property_version_v1

integer

Attribute version V1

token_data_id

string

Token data ID

transaction_timestamp

string

Transaction timestamp

type

string

Event type

transaction_version

integer

Transaction version

token_standard

string

Token standard

token_amount

integer

Token quantity

to_address

string

Receiver address

from_address

string

Sender address

is_fungible_v2

boolean

Whether Fungible V2

entry_function_id_str

string

Entry function ID

Example

Request Example

query MyQuery {
token_activities_v2(
limit: 5
offset: 0
order_by: {transaction_version: desc, event_index: desc}
where: {
current_token_data: {
current_collection: {
creator_address: {
_in: ["0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"]
}
}
}
}
) {
current_token_data {
current_collection {
collection_id
collection_name
creator_address
}
token_name
}
event_account_address
event_index
property_version_v1
token_data_id
transaction_timestamp
type
transaction_version
token_standard
token_amount
to_address
from_address
is_fungible_v2
entry_function_id_str
}
}

Response Example

{
"data": {
"token_activities_v2": [
{
"current_token_data": {
"current_collection": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"collection_name": "Aptos Monkeys",
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
},
"token_name": "AptosMonkeys #3944"
},
"event_account_address": "0x5125fe9198abdf95951e9eaca45878ef3656dca3ddd29834998cdc1c2260aba1",
"event_index": 2,
"property_version_v1": 0,
"token_data_id": "0x1d89f8dad74466184d8f717cb6d89606c1536777099cf47580e0ce25cfac188e",
"transaction_timestamp": "2024-07-09T08:11:56.556119",
"type": "0x3::token::WithdrawEvent",
"transaction_version": 1021539987,
"token_standard": "v1",
"token_amount": 1,
"to_address": null,
"from_address": "0x5125fe9198abdf95951e9eaca45878ef3656dca3ddd29834998cdc1c2260aba1",
"is_fungible_v2": null,
"entry_function_id_str": "0xd4c70815e9d245a097646af821ecf87a073039e71e93c8cd04a0da082134d296::edit_listing::edit_v2"
},
{
"current_token_data": {
"current_collection": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"collection_name": "Aptos Monkeys",
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
},
"token_name": "AptosMonkeys #3944"
},
"event_account_address": "0x5125fe9198abdf95951e9eaca45878ef3656dca3ddd29834998cdc1c2260aba1",
"event_index": 0,
"property_version_v1": 0,
"token_data_id": "0x1d89f8dad74466184d8f717cb6d89606c1536777099cf47580e0ce25cfac188e",
"transaction_timestamp": "2024-07-09T08:11:56.556119",
"type": "0x3::token::DepositEvent",
"transaction_version": 1021539987,
"token_standard": "v1",
"token_amount": 1,
"to_address": "0x5125fe9198abdf95951e9eaca45878ef3656dca3ddd29834998cdc1c2260aba1",
"from_address": null,
"is_fungible_v2": null,
"entry_function_id_str": "0xd4c70815e9d245a097646af821ecf87a073039e71e93c8cd04a0da082134d296::edit_listing::edit_v2"
},
{
"current_token_data": {
"current_collection": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"collection_name": "Aptos Monkeys",
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
},
"token_name": "AptosMonkeys #5223"
},
"event_account_address": "0x5125fe9198abdf95951e9eaca45878ef3656dca3ddd29834998cdc1c2260aba1",
"event_index": 0,
"property_version_v1": 0,
"token_data_id": "0xd0814c95fefb44ee6168137ecce5218098ef056a7c3bb8f9fbce4fcd9528d4fb",
"transaction_timestamp": "2024-07-09T08:11:45.290512",
"type": "0x3::token::DepositEvent",
"transaction_version": 1021539786,
"token_standard": "v1",
"token_amount": 1,
"to_address": "0x5125fe9198abdf95951e9eaca45878ef3656dca3ddd29834998cdc1c2260aba1",
"from_address": null,
"is_fungible_v2": null,
"entry_function_id_str": "0xd4c70815e9d245a097646af821ecf87a073039e71e93c8cd04a0da082134d296::edit_listing::edit_v2"
},
{
"current_token_data": {
"current_collection": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"collection_name": "Aptos Monkeys",
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
},
"token_name": "AptosMonkeys #5223"
},
"event_account_address": "0x5125fe9198abdf95951e9eaca45878ef3656dca3ddd29834998cdc1c2260aba1",
"event_index": 2,
"property_version_v1": 0,
"token_data_id": "0xd0814c95fefb44ee6168137ecce5218098ef056a7c3bb8f9fbce4fcd9528d4fb",
"transaction_timestamp": "2024-07-09T08:11:45.290512",
"type": "0x3::token::WithdrawEvent",
"transaction_version": 1021539786,
"token_standard": "v1",
"token_amount": 1,
"to_address": null,
"from_address": "0x5125fe9198abdf95951e9eaca45878ef3656dca3ddd29834998cdc1c2260aba1",
"is_fungible_v2": null,
"entry_function_id_str": "0xd4c70815e9d245a097646af821ecf87a073039e71e93c8cd04a0da082134d296::edit_listing::edit_v2"
},
{
"current_token_data": {
"current_collection": {
"collection_id": "0x7ac8cecb76edbbd5da40d719bbb9795fc5744e4098ee0ce1be4bb86c90f42301",
"collection_name": "Aptos Monkeys",
"creator_address": "0xf932dcb9835e681b21d2f411ef99f4f5e577e6ac299eebee2272a39fb348f702"
},
"token_name": "AptosMonkeys #4440"
},
"event_account_address": "0x97f66e7aabfb019cc6856709de7625da59a5ddb2355634bd242e8038b9f4f400",
"event_index": 0,
"property_version_v1": 0,
"token_data_id": "0x6b9009a979a98518bc6f7338ea21c5c50fe40d6f857127a520566fe3f4d8e04b",
"transaction_timestamp": "2024-07-09T08:03:57.615249",
"type": "0x3::token::WithdrawEvent",
"transaction_version": 1021530167,
"token_standard": "v1",
"token_amount": 1,
"to_address": null,
"from_address": "0x97f66e7aabfb019cc6856709de7625da59a5ddb2355634bd242e8038b9f4f400",
"is_fungible_v2": null,
"entry_function_id_str": "0x2c7bccf7b31baf770fdbcc768d9e9cb3d87805e255355df5db32ac9a669010a2::marketplace_v2::list"
}
]
}
}